Collect
/- Searches for refunds using predefined parameters
Returns the default refund template
Initiates workflow to warm up inventory transactions
Gets all of the refunds in the system.
Creates a new refund that doesn't already exist
Execute Batch Operations
Returns a list of records with the specified batch_id
Sends out a preview of the notification template
Generates a PDF and returns the public link for download
Creates a new refund that doesn't already exist
Returns a refund from the system by its ID.
Partially updates a refund with the specified ID.
Updates a refund with the specified ID.
Searches for refunds usin...
Searches for refunds using predefined parameters
Security
knox-authorizer
The refund that you would like to be saved.
- Mock serverhttps://docs.api.rhythmsoftware.com/_mock/apis/collect/collect-v1/refunds/{tenantId}/search
- https://collect.api.rhythmsoftware.comhttps://collect.api.rhythmsoftware.com/refunds/{tenantId}/search
curl -i -X POST \
'https://docs.api.rhythmsoftware.com/_mock/apis/collect/collect-v1/refunds/{tenantId}/search?exclusiveStartKey=string&fieldsToReturn=string' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"bank_account_id": [
"string",
"string"
],
"batch_id": [
"string"
],
"business_unit_id": "string",
"date": [
"string",
"string"
],
"id": [
"string"
],
"merchant_account_id": [
"string",
"string"
],
"number": [
0.1,
0.1
],
"total": [
0.1,
0.1
],
"total_in_base_currency": [
0.1,
0.1
],
"transaction_id": "string"
}'Response
{ "Items": [ { … } ], "LastEvaluatedKey": "string" }